#
# spec file for package python-scikit-sound
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-scikit-sound
Version:        0.2.13
Release:        1.6
Summary:        Python utilities for working with sound signals
License:        BSD-2-Clause
Group:          Development/Languages/Python
URL:            http://work.thaslwanter.at/sksound/html
Source:         https://files.pythonhosted.org/packages/source/s/scikit-sound/scikit-sound-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module appdirs}
BuildRequires:  %{python_module docutils >= 0.3}
BuildRequires:  %{python_module matplotlib}
BuildRequires:  %{python_module pygame}
BuildRequires:  %{python_module scipy}
BuildRequires:  %{python_module tk}
BuildRequires:  ffmpeg
BuildRequires:  xvfb-run
# /SECTION
Requires:       python-PyYAML
Requires:       python-appdirs
Requires:       python-docutils >= 0.3
Requires:       python-pygame
Requires:       python-scipy
Recommends:     ffmpeg
Recommends:     python-matplotlib
Recommends:     python-tk
BuildArch:      noarch

%python_subpackages

%description
Scikit-sound contains functions for working with sound

%prep
%setup -q -n scikit-sound-%{version}
sed -i 's/\r$//' CHANGES.txt README.rst

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc CHANGES.txt README.rst
%license LICENSE.txt
%{python_sitelib}/sksound
%{python_sitelib}/scikit_sound-%{version}.dist-info

%changelog
* Sun Jan 21 2024 Dirk Müller <dmueller@suse.com>
- update to 0.2.13:
  * try to keep file-/dir-selection windows in the front
  * Exit gracefully if user cancels file selection
  * updated docu; renamed self.info -> self.ffmpeg_info
  * left tkinter root window visible to avoid some crashes
  * [erroneous fix]
  * moved the tkinter root to the top to be visible
  * fixed error in displayed name of out-file
* Fri Oct  1 2021 Steve Kowalik <steven.kowalik@suse.com>
- Remove unneeded BuildRequires on nose.
* Fri Feb 12 2021 Dirk Müller <dmueller@suse.com>
- skip python 36 build
* Tue Jul 23 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.2.3
  * problem with Sound.write() when used without input fixed
* Sat May 26 2018 toddrme2178@gmail.com
- Initial version
